Bug 1722475 - Cannot configure foreman_scap_client on host via puppet
Summary: Cannot configure foreman_scap_client on host via puppet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.6.0
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-20 12:28 UTC by Sanket Jagtap
Modified: 2019-10-22 12:47 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-1.0.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27095 None None None 2019-06-21 08:48:14 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:49 UTC

Description Sanket Jagtap 2019-06-20 12:28:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Satellite snap6

How reproducible:
Always

Steps to Reproduce:
1. Have a host , configure puppet and scap 
2. Deploy a scap policy on the host
3. Do a puppet agent -t to configure foreman_scap_client on host 

Actual results:
root@fred-yocham ~]# puppet agent -t 
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Retrieving locales
Info: Loading facts
Error: Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Evaluation Error: Error while evaluating a Resource Statement, Class[Foreman_scap_client]:
  expects a value for parameter 'server'
  expects a value for parameter 'port' on node fred-yocham
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run


Expected results:
Foreman_scap_client should be configured and installed successfully

Additional info:

Comment 6 Ondřej Pražák 2019-06-21 08:40:45 UTC
I found the cause: foreman_scap_client puppet class was assigned to hostgroup and inherited by host while openscap proxy was assigned to host directly. Apparently, we do not modify inherited class params when openscap proxy changes.
Valid bug, but I do not think this is a regression.

Workaround: make sure openscap proxy and puppet class are both assigned directly to the same entity, do not use inheritance for one and direct assignment for the other.

Comment 7 Ondřej Pražák 2019-06-21 08:48:13 UTC
Created redmine issue https://projects.theforeman.org/issues/27095 from this bug

Comment 8 Bryan Kearney 2019-06-24 10:02:19 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 9 Bryan Kearney 2019-06-24 10:02:21 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 10 Bryan Kearney 2019-06-25 16:02:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27095 has been resolved.

Comment 11 Jameer Pathan 2019-07-15 14:57:36 UTC
Verified

- verified with
Satellite 6.6.0 snap 11
tfm-rubygem-foreman_openscap-1.0.4-1.el7sat.noarch

Test steps:
1. Create host group, assign foreman_scap_client puppet class to host group.
(don't assign openscap capsule to host group)
2. Create host using host group created earlier, also assign 
openscap capsule while creating host.
3. Assign scap policy to host.
4. Run puppet agent -t to configure foreman_scap_client on host.

Observation:
Foreman_scap_client configured and installed successfully.

Comment 13 errata-xmlrpc 2019-10-22 12:47:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.